To help you transition from Collibra API v1 to API v2, the following reference tables contain the deprecated items and their replacement suggestions if any.

Migrate to API v2

Migration plan

1. Requirements and setup

  • You have a global role with the System Administration global permission, for example Sysadmin.
  • Install the latest version of the Collibra Command Line Interface (CLI).
  • Install Collibra Data Governance Center version 5.7 in a development environment.
  • In your development environment, restore a backup from your current production environment.

2. Verify and update your workflow definitions

  • In Collibra CLI, run collibra-set to connect it to your development environment.
  • In Collibra CLI, run workflow-analyze to generate a report that highlights potential upgrade issues* with your workflow definitions.
  • Check the generated report and follow the suggestions to update your workflows accordingly.
  • Use Collibra CLI to test the workflows until the report is clean.

3. Migrate the workflows to your production environment

  • Deploy the workflows in your production environment.
  • In Collibra CLI, run collibra-set to connect it to your production environment.
  • In Collibra CLI, run workflow-instance-analyze to generate a report that highlights potential upgrade issues* with your running workflow instances.
  • Check the generated report to identify the workflow, current task, the impacted resource (if any) and the assigned user.
  • Contact each user to complete their task and let the workflows terminate.

4. Before the upgrade

  • In Collibra CLI, run workflow-instance-analyze just before the upgrade.
  • In Collibra CLI, run workflow-instance-cancel to cancel all incompatible running workflow instances to prevent them from being migrated to the next generation platform.

Warning   Canceling a running workflow instance is irreversible and you should use this function only if it is impossible to complete the remaining open tasks.

* Potential upgrade issues may refer to workflows using the legacy workflow engine, version 1 of the API, private APIs or private libraries.